with import <nixpkgs> { };

let
  python-qbittorrent = pkgs.python312Packages.buildPythonPackage rec {
    name = "python-qbittorrent-${version}";
    version = "0.4.3";

    src = pkgs.fetchurl {
      url = "https://files.pythonhosted.org/packages/86/25/a5ad35ad229c8016a8c98327495e649cb795be2fda63f8cace6c9a739af7/python-qbittorrent-${version}.tar.gz";
      sha256 = "4e22cf89890628b054a60aa4bd1161a68c2b0fad48ef0886fa4d325e69d3828a";
    };

    meta = {
      homepage = "https://github.com/v1k45/python-qBittorrent";
      description = "Python wrapper for qBittorrent Web API (for versions above v3.1.x)";
      license = lib.licenses.mit;
      maintainers = with maintainers; [ v1k45 ];
    };

    nativeBuildInputs = with pkgs.python312Packages; [
      pip
      requests
    ];
  };

in
mkShell {
  buildInputs = with pkgs; [
    python312Packages.beautifulsoup4
    python312Packages.black
    python312Packages.bpython
    python312Packages.docopt
    python312Packages.isort
    python312Packages.pandas
    python312Packages.pytest
    python312Packages.requests
    python312Packages.resend
    python312Packages.rich
    python312Packages.tabulate
    pyright
    python-qbittorrent
    shellcheck
  ];
}
